export type ThemeColorType = {
  background_color: string
  selected_background_color: string
  global_header_color: string
  side_menu_color: string
  primary_color: string
  regular_color: string
  secondary_color: string
  border_color: string
  header_menu_color: string
  wrapper_mask_color: string
  scrollbar_color: string
}

export const LightTheme: ThemeColorType = {
  background_color: '#ffffff',
  selected_background_color: '#f2f6fc',
  global_header_color: '#4a5664',
  side_menu_color: '#373d48',
  primary_color: '#303133',
  regular_color: '#606266',
  secondary_color: '#909399',
  border_color: '#ebeef5',
  header_menu_color: '#ffffff',
  wrapper_mask_color: 'rgba(255, 255, 255, 0.7)',
  scrollbar_color: 'rgba(0, 0, 0, 0.4)'
}

export const DarkTheme: ThemeColorType = {
  background_color: '#282c37',
  selected_background_color: '#313543',
  global_header_color: '#393f4f',
  side_menu_color: '#191b22',
  primary_color: '#ffffff',
  regular_color: '#ebeef5',
  secondary_color: '#e4e7ed',
  border_color: '#606266',
  header_menu_color: '#444b5d',
  wrapper_mask_color: 'rgba(0, 0, 0, 0.7)',
  scrollbar_color: 'rgba(255, 255, 255, 0.4)'
}

export const SolarizedLightTheme: ThemeColorType = {
  background_color: '#fdf6e3',
  selected_background_color: '#eee8d5',
  global_header_color: '#002b36',
  side_menu_color: '#073642',
  primary_color: '#657b83',
  regular_color: '#586e75',
  secondary_color: '#839496',
  border_color: '#93a1a1',
  header_menu_color: '#fdf6e3',
  wrapper_mask_color: 'rgba(255, 255, 255, 0.7)',
  scrollbar_color: 'rgba(0, 0, 0, 0.4)'
}

export const SolarizedDarkTheme: ThemeColorType = {
  background_color: '#073642',
  selected_background_color: '#586e75',
  global_header_color: '#073642',
  side_menu_color: '#002b36',
  primary_color: '#fdf6e3',
  regular_color: '#eee8d5',
  secondary_color: '#839496',
  border_color: '#93a1a1',
  header_menu_color: '#393f4f',
  wrapper_mask_color: 'rgba(0, 0, 0, 0.7)',
  scrollbar_color: 'rgba(255, 255, 255, 0.4)'
}

export const KimbieDarkTheme: ThemeColorType = {
  background_color: '#221a0f',
  selected_background_color: '#2e2920',
  global_header_color: '#221a0f',
  side_menu_color: '#362712',
  primary_color: '#fbebd4',
  regular_color: '#e4c6a5',
  secondary_color: '#d3af86',
  border_color: '#d6baad',
  header_menu_color: '#a57a4c',
  wrapper_mask_color: 'rgba(0, 0, 0, 0.7)',
  scrollbar_color: 'rgba(255, 255, 255, 0.4)'
}
